gnutls_x509_ct_sct_get(3)

NAME
gnutls_x509_ct_sct_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ct_sct_get(const gnutls_x509_ct_scts_t scts, unsigned idx, time_t * timestamp, gnutls_datum_t * logid, gnutls_sign_algorithm_t * sigalg, gnutls_datum_t * signature);

ARGUMENTS

const gnutls_x509_ct_scts_t scts
    A list of SCTs

unsigned idx
    The index of the target SCT in the list

time_t * timestamp
    The timestamp of the SCT

gnutls_datum_t * logid
    The LogID field of the SCT; must be freed with gnutls_free()

gnutls_sign_algorithm_t * sigalg
    The signature algorithm

gnutls_datum_t * signature
    The signature of the SCT; must be freed with gnutls_free()

DESCRIPTION
This function will return a specific SCT (Signed Certificate Timestamp) stored in the SCT list scts . The datums holding the SCT's LogId and signature will be allocated using gnutls_malloc().

RETURNS
GNUTLS_E_SUCCESS (0) will be returned on success, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if idx exceeds the number of SCTs in the list or a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/